tidy.rcorr {broom} | R Documentation

## Tidy a(n) rcorr object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'rcorr'
    tidy(x, diagonal = FALSE, ...)

### Arguments

`x` | An `rcorr` object returned from `Hmisc::rcorr()`.
`diagonal` | Logical indicating whether or not to include diagonal elements of the correlation matrix, or the correlation of a column with itself. For the elements, `estimate` is always 1 and `p.value` is always `NA`. Defaults to `FALSE`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Details

Suppose the original data has columns A and B. In the correlation matrix from `rcorr` there may be entries for both the `cor(A, B)` and `cor(B, A)`. Only one of these pairs will ever be present in the tidy output.

### Value

A tibble::tibble with one row for each unique pair of columns in the correlatin matrix and columns:

`column1` | Name or index of the first column being described
`column2` | Name or index of the second column being described
`estimate` | Estimate of Pearson's r or Spearman's rho
`n` | Number of observations used to compute the correlation
`p.value` | P-value of correlation

### See Also

`tidy()`, `Hmisc::rcorr()`

### Examples

    if (requireNamespace("Hmisc", quietly = TRUE)) {

        library(Hmisc)

        mat <- replicate(52, rnorm(100))
        # add some NAs
        mat[sample(length(mat), 2000)] <- NA
        # also column names
        colnames(mat) <- c(LETTERS, letters)

        rc <- rcorr(mat)

        td <- tidy(rc)
        td

        library(ggplot2)
        ggplot(td, aes(p.value)) +
            geom_histogram(binwidth = .1)

        ggplot(td, aes(estimate, p.value)) +
            geom_point() +
            scale_y_log10()
    }

[Package broom version 0.5.2 Index]